#include <stdint.h>

void scheduler_yield() {}
void mmu_init() {}
void proc_init() {}
void *pagedir_create() { return 0; }
int get_core_id() { return 0; }
int __aarch64_swp1_acq() { return 0; }  // dacă e inline assembly, tratăm separat
